## golang-github-coreos-stream-metadata-go 0.4.3

=== Makefile ===
PKGS := arch release stream stream/rhcos release/rhcos fedoracoreos

BUILD_PKGS = $(foreach pkg,$(PKGS),build-$(pkg))
TEST_PKGS = $(foreach pkg,$(PKGS),test-$(pkg))

build: $(BUILD_PKGS)
.PHONY: build

$(BUILD_PKGS): build-%:
	cd $* && go build
.PHONY: $(BUILD_PKGS)

test: $(TEST_PKGS)
.PHONY: test

$(TEST_PKGS): test-%:
	cd $* && go test
.PHONY: $(TEST_PKGS)

=== debian/changelog ===
golang-github-coreos-stream-metadata-go (0.4.3-3) unstable; urgency=medium

  * source-only reupload

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Oct 2023 06:53:57 -0400

golang-github-coreos-stream-metadata-go (0.4.3-2) unstable; urgency=medium

  * avoid installation of the example binary

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Oct 2023 09:07:50 -0400

golang-github-coreos-stream-metadata-go (0.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #1054271)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Oct 2023 08:02:02 -0400

=== debian/control ===
Source: golang-github-coreos-stream-metadata-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-stream-metadata-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-stream-metadata-go.git
Homepage: https://github.com/coreos/stream-metadata-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/coreos/stream-metadata-go

Package: golang-github-coreos-stream-metadata-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: Go library for parsing Fedora CoreOS streams (library)
 This is a Go library which exposes API to decode streams into Go
 structs, as well as a convenience API to find the URL for a given
 stream.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := stream/fixtures release/fixtures
export DH_GOLANG_EXCLUDES := example

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/coreos/stream-metadata-go/tags .*/v?(\d\S*)\.tar\.gz debian
